This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 245743 - Review Request: python-isprelink - Python module to determine if a file has been prelinked
Review Request: python-isprelink - Python module to determine if a file has b...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-26 09:16 EDT by Jeffrey C. Ollie
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 16:17:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2007-06-26 09:16:02 EDT
Spec URL: http://repo.ocjtech.us/misc/fedora/7/SRPMS/python-isprelink-0.1.2-1.fc7.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/7/SRPMS/python-isprelink-0.1.2-1.fc7.src.rpm
Description:
Python module to determine if a file has been prelinked

(This will be used by bcfg2 >= 0.9.4 to speed up operations)
Comment 1 Jason Tibbitts 2007-06-29 00:19:45 EDT
There doesn't seem to be a version 0.1.2 upstream; all I can find is 0.1.1. 
Well, they have some 0.1.2 RPMs up for CentOS, but I can't find an actual tarball.
Comment 2 Jeffrey C. Ollie 2007-06-29 00:26:56 EDT
Yeah, the updated tarball was emailed to me and to the mainatiner of the FTP
site but the maintainer of the FTP site hasn't uploaded it yet.  Hopefully that
will happen RSN.
Comment 3 Jason Tibbitts 2007-06-29 00:37:56 EDT
OK, just ping me when the source is publically available and we'll finish this off.

? source files match upstream
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   isprelink.so()(64bit)
   python-isprelink = 0.1.2-1.fc8
  =
   libelf.so.1()(64bit)
   libelf.so.1(ELFUTILS_1.0)(64bit)
   libpthread.so.0()(64bit)
   libpython2.5.so.1.0()(64bit)
   python(abi) = 2.5
* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 4 Jeffrey C. Ollie 2007-06-29 15:47:30 EDT
Spec URL:
http://repo.ocjtech.us/misc/fedora/7/SRPMS/python-isprelink-0.1.2-2.fc7.spec
SRPM URL:
http://repo.ocjtech.us/misc/fedora/7/SRPMS/python-isprelink-0.1.2-2.fc7.src.rpm

The tarball got uploaded to the FTP server but it was different from
the one I was using.  The main difference is that there's no copy of
the GPL included in the tarball but the code includes the appropriate
disclaimer.  I've requested that they include the GPL with the next
release.
Comment 5 Jason Tibbitts 2007-06-30 14:19:42 EDT
OK, everything looks good to me now.  I guess one important lesson is to never
trust upstream to do something sensible.

8c1f6bd83fe4298909f86af30c84ead18318935d9965539c56909ec390f5e6d1 
isprelink-0.1.2.tar.gz

and now we have

* license text not included upstream.

APPROVED
Comment 6 Jeffrey C. Ollie 2007-06-30 19:34:05 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: python-isprelink
Short Description: Python module to determine if a file has been prelinked
Owners: jeff@ocjtech.us
Branches: devel F-7 FC-6 EL-5 EL-4
InitialCC: 
Comment 7 Kevin Fenzi 2007-07-02 15:05:04 EDT
cvs done.
Comment 8 Jeffrey C. Ollie 2007-07-02 16:17:50 EDT
Packages imported and builds submitted.

Note You need to log in before you can comment on or make changes to this bug.